@import url(root.css);
@import url(base.css);

/* ————————————————————MAIN———————————————————— */

main {
  flex: 1;
  width: 100%;
  display: block;
  margin-inline: auto;
  padding-block: 1rem;
  padding-inline: 1.5rem;
  max-width: 50em;
  
  @media screen and (min-width: 600px) {
    padding-inline: 2rem;
    padding-block: 2rem;
  }
  @media screen and (min-width: 768px) {
    padding-inline: 4rem;
    padding-block: 2.5rem;
  }
  @media screen and (min-width: 990px) {
    padding-block: 3rem;
  }
}

h2.page-title {
  margin-block-end: 1rem; 
  font-size: 1.5rem;
  font-weight: 500; /* 300-500 looks OK. */
  color: #DDD;
  
  @media screen and (min-width: 600px) {
    font-size: 2rem;
    margin-block-end: 2rem;
    padding-left: 1rem;
  }
  @media screen and (min-width: 768px) {
    margin-block-end: 2.5rem;
    padding-left: 0;
  }
  @media screen and (min-width: 990px) {
    margin-block-end: 3rem;
  }
}

article p {
  margin-bottom: 1.5rem;
  padding-inline: 1rem;
  
  @media screen and (min-width: 600px) {
    margin-bottom: 2rem;
  }
  @media screen and (min-width: 768px) {
    margin-bottom: 2.5rem;
  }
}

/* --------------------projects-------------------- */

.project {
  position: relative;
  display: block;
  padding: 1rem 2rem 2rem 2rem;
  margin-bottom: 1rem;
  border-radius: 1rem;
  background-color: var(--stndrd-bg-darkest);

  transition: transform var(--rotate-time), background-color var(--rotate-time);
  transition-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
  
  @media screen and (min-width: 600px) {
    margin-bottom: 1.5rem;
    display: grid;
    grid-template-areas:
      "title title"
      "image tags"
      "image description";
    grid-template-rows: min-content min-content 1fr;
    grid-template-columns: 3fr 5fr;
    gap: 0.5rem 1rem;
  }
}
.project:hover {
  transform: rotate3d(1, 4, 0, 12deg);
  background-color: #191f2d;
  
  & .skill-tags li {
    box-shadow: -8px 6.4px 0 var(--stndrd-bg-dark);
  }
  & h3 {
    text-shadow: var(--shadow-rotate-x) var(--shadow-rotate-y) 0 var(--stndrd-bg-dark);
  }
  & .screenshot {
    filter: brightness(120%);
  }
}

.project h3 {
  text-shadow: var(--shadow-normal-x) var(--shadow-normal-y) 0 black;
  grid-area: title;
  position: relative;
  font-size: 1.5rem;
  font-weight: 400;
  margin-right: 1.5rem; /* For the GH logo */
  
  transition: text-shadow var(--rotate-time);

  @media screen and (min-width: 600px) {
    font-size: 2rem;
  }
}

.project img.github {
  position: absolute;
  top: 1rem;
  right: 1rem;
  width: 2rem;
  height: 2rem;

  @media screen and (min-width: 600px) {
    width: 1.5rem;
    height: 1.5rem;
  }
}

.project .screenshot {
  display: block;
  grid-area: image;
  margin-inline: auto;
  margin-bottom: 1.5rem;

  transition: filter var(--rotate-time);
  width: 100%;

  @media screen and (min-width: 600px) {
    width: 100%;
    margin-block: auto;
  }
}

.project .skill-tags {
  grid-area: tags;
  cursor: default;
  font-size: 1.2rem;

  display: flex;
  flex-wrap: wrap;
  gap: .5rem;
  padding-block: .5rem 1rem;
  
  @media screen and (min-width: 600px) {
    padding-bottom: 0;
    font-size: .9rem;
  }
}

.project .skill-tags li {
  padding: 0 .5rem;
  background-color: var(--stndrd-bg-light);
  box-shadow: -.1rem .3rem 0 black;

  transition: box-shadow var(--rotate-time);
}

.project > p {
  grid-area: description;
  line-height: 1.4;
  font-size: 1rem;
  padding-inline: .5rem;
}

/* --------------------misc-------------------- */

h1, h2 {
  font-family: 'Silkscreen';
}


/*====================ABOUT ME PAGE====================*/

section {
  margin-block: 2rem;
  background-color: var(--stndrd-bg-darkest);
  border: .5rem solid var(--stndrd-bg-light);
  border-radius: 1rem;
}


section h3 {
  margin-block: 0 1rem;
  background-color: var(--stndrd-bg-light);
  width: fit-content;
  padding-block: .25rem .5rem;
  padding-inline: .5rem 1rem;
  border-radius: 0 0 1rem 0;
}

section p {
  font-size: 1rem;
  line-height: 1.5;
  margin-block: 1rem;
}

section p > a {
  color: var(--stndrd-txt-dark);
  &:hover {
    color: white;
  }
}

.collapsible {
  cursor: pointer;
  margin-block: .2rem;
  width: fit-content;
  
  transition: width 1s;
  
  & h4 {
    display: flex;
    align-items: center;
    padding: .2rem .5rem;
    background-color: var(--stndrd-bg-darkest);
  }
  & h4 svg {
    fill: white;
  }

  & p {
    display: none;
    padding-left: 1rem;
  }
}
